export declare class UIDate {
    private d;
    readonly timestamp: number;
    year: number;
    month: number;
    day: number;
    hours: number;
    minutes: number;
    seconds: number;
    private date;
    constructor(d?: number | string | Date);
    toStringByFormatString(s: string): string;
    private stringToDate(s);
}
/**
 * 给0-9的数字补零，转为00、01……
 * @param n 0-9的数字
 */
export declare function toDouble(n: number | string): string;
